BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.SystemException System.Runtime.InteropServices.ComVisible(true)

is the base class for exceptions thrown while accessing information using streams, files and directories.

The Base Class Library includes the following types, each of which is a derived class of IOException :

Where appropriate, use these types instead of IOException.

uses the HRESULT COR_E_IO which has the value 0x80131620.

The exception that is thrown when an I/O error occurs.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "An I/O error occurred while performing the requested operation." This message takes into account the current system culture.

  Initializes a new instance of the class with its message string set to the empty string (""), its HRESULT set to COR_E_IO, and its inner exception set to a null reference.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The constructor initializes the property of the new instance using .

  Initializes a new instance of the class with its message string set to , its HRESULT set to COR_E_IO, and its inner exception set to null.

  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified serialization and context information.

  The data for serializing or deserializing the object.
  The source and destination for the object.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  For more information on inner exceptions, see .

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with its message string set to and its HRESULT user-defined.

  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An integer identifying the error that has occurred.
0